#ifndef __GNUC_VA_LIST
#define __GNUC_VA_LIST

typedef struct {
  /* Place to store arguments from GPRs. */
  long __gp_regs[GP_ARG_NUM_REG];
  /* Pointer to GP regs followed by stack parameters.  */
  long *next_stack_arg;
} __gnuc_va_list;

#endif /* not __GNUC_VA_LIST */

#define va_start(__AP, __LASTARG) (__builtin_saveregs (&(__AP)))

#define va_arg(__AP, __type) *(__type *) (void *)0

#define va_end(pvar)	((void)0)

